Create draft soft offer
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/offers/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body_html": "<string>",
"compensation_text": "<string>",
"start_date": "2023-12-25",
"expires_at": "2023-11-07T05:31:56Z",
"scheduled_send_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/offers/"
payload = {
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body_html": "<string>",
"compensation_text": "<string>",
"start_date": "2023-12-25",
"expires_at": "2023-11-07T05:31:56Z",
"scheduled_send_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
body_html: '<string>',
compensation_text: '<string>',
start_date: '2023-12-25',
expires_at: '2023-11-07T05:31:56Z',
scheduled_send_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://assess.praxicraft.com/api/v1/public/offers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/offers/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
body_html: '<string>',
compensation_text: '<string>',
start_date: '2023-12-25',
expires_at: '2023-11-07T05:31:56Z',
scheduled_send_at: '2023-11-07T05:31:56Z'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/offers/"
payload := strings.NewReader("{\n \"application_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"body_html\": \"<string>\",\n \"compensation_text\": \"<string>\",\n \"start_date\": \"2023-12-25\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scheduled_send_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "o4d5e6f7-a8b9-0123-def0-234567890123",
"application_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"job_slug": "senior-data-engineer",
"job_title": "Senior Data Engineer",
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"status": "draft",
"title": "Offer — Senior Data Engineer",
"body_html": "<p>We are excited to offer you the role.</p>",
"compensation_text": "£95,000 + equity",
"start_date": "2026-10-01",
"expires_at": "2026-09-20T17:00:00Z",
"scheduled_send_at": null,
"sent_at": null,
"responded_at": null,
"decline_reason": "",
"respond_url": null,
"livemode": true,
"created_at": "2026-09-05T10:00:00Z",
"updated_at": "2026-09-05T10:00:00Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Public API — Offers
Create draft soft offer
Required scope:
offers:write
Creates a draft soft offer for an application. Fill title/body/compensation, then POST /offers/{id}/send/. Growth+ required.
Responses
| Status | Code | When |
|---|---|---|
201 | — | Draft offer |
400 | VALIDATION_ERROR | Invalid application |
403 | PLAN_REQUIRED | Below Growth |
Authentication & rate limits (all endpoints)
| Status | Code | When |
|---|---|---|
401 | INVALID_API_KEY | Missing or invalid bearer token |
401 | EXPIRED_API_KEY | API key past its optional expires_at |
403 | INSUFFICIENT_SCOPE | API key lacks the required scope for this operation |
403 | IP_NOT_ALLOWED | Client IP is outside this key’s CIDR allowlist |
429 | RATE_LIMITED | Rate limit exceeded — plan-tiered reads/writes per organisation per hour |
POST
/
api
/
v1
/
public
/
offers
/
Create draft soft offer
curl --request POST \
--url https://assess.praxicraft.com/api/v1/public/offers/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body_html": "<string>",
"compensation_text": "<string>",
"start_date": "2023-12-25",
"expires_at": "2023-11-07T05:31:56Z",
"scheduled_send_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://assess.praxicraft.com/api/v1/public/offers/"
payload = {
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body_html": "<string>",
"compensation_text": "<string>",
"start_date": "2023-12-25",
"expires_at": "2023-11-07T05:31:56Z",
"scheduled_send_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
body_html: '<string>',
compensation_text: '<string>',
start_date: '2023-12-25',
expires_at: '2023-11-07T05:31:56Z',
scheduled_send_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://assess.praxicraft.com/api/v1/public/offers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://assess.praxicraft.com/api/v1/public/offers/';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
body_html: '<string>',
compensation_text: '<string>',
start_date: '2023-12-25',
expires_at: '2023-11-07T05:31:56Z',
scheduled_send_at: '2023-11-07T05:31:56Z'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://assess.praxicraft.com/api/v1/public/offers/"
payload := strings.NewReader("{\n \"application_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"body_html\": \"<string>\",\n \"compensation_text\": \"<string>\",\n \"start_date\": \"2023-12-25\",\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scheduled_send_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "o4d5e6f7-a8b9-0123-def0-234567890123",
"application_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"job_slug": "senior-data-engineer",
"job_title": "Senior Data Engineer",
"candidate_email": "[email protected]",
"candidate_name": "Ada Lovelace",
"status": "draft",
"title": "Offer — Senior Data Engineer",
"body_html": "<p>We are excited to offer you the role.</p>",
"compensation_text": "£95,000 + equity",
"start_date": "2026-10-01",
"expires_at": "2026-09-20T17:00:00Z",
"scheduled_send_at": null,
"sent_at": null,
"responded_at": null,
"decline_reason": "",
"respond_url": null,
"livemode": true,
"created_at": "2026-09-05T10:00:00Z",
"updated_at": "2026-09-05T10:00:00Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"message": "Invalid or revoked API Key.",
"code": "INVALID_API_KEY"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Organisation API key created in Assess → Developer → API Keys. Format: Bearer ct_live_<your-key> (live) or Bearer ct_test_<your-key> (test). Optional per-key CIDR allowlists return 403 IP_NOT_ALLOWED.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Available options:
draft, scheduled, sent, accepted, declined, withdrawn, expired Maximum string length:
200Maximum string length:
500Last modified on September 5, 2026